using BoFilTest.Domain;
using BoFilTest.Utils;

namespace BoFilTest.Export
{
    class FilterExcelExport : BasicExcelExport
    {
        public FilterExcelExport(DataModel dataModel)
            : base(dataModel, new ConfiguredExporter(dataModel.Config.Filter(), dataModel.TestNumber))
        {

        }

        public override string Run()
        {
            WriteCommon();

            return exporter.Write(new TranslationKey("FILTER_REPORT_FILENAME"));
        }
    }
}
